CUNIK(3)

SYNOPSIS
SUBROUTINE CUNIK (ZR, FNU, IKFLG, IPMTR, TOL, INIT, PHI, ZETA1, + ZETA2, SUM, CWRK)

NAME
cunik - Subsidiary to CBESI and CBESK

LIBRARY
SLATEC

TYPE
ALL (CUNIK-A, ZUNIK-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
CUNIK COMPUTES PARAMETERS FOR THE UNIFORM ASYMPTOTIC EXPANSIONS OF THE I AND K FUNCTIONS ON IKFLG= 1 OR 2 RESPECTIVELY BY W(FNU,ZR) = PHI*EXP(ZETA)*SUM WHERE ZETA=-ZETA1 + ZETA2 OR ZETA1 - ZETA2 THE FIRST CALL MUST HAVE INIT=0. SUBSEQUENT CALLS WITH THE SAME ZR AND FNU WILL RETURN THE I OR K FUNCTION ON IKFLG= 1 OR 2 WITH NO CHANGE IN INIT. CWRK IS A COMPLEX WORK ARRAY. IPMTR=0 COMPUTES ALL PARAMETERS. IPMTR=1 COMPUTES PHI, ZETA1,ZETA2.

SEE ALSO
CBESI, CBESK

ROUTINES CALLED
R1MACH

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)